Update a webhook endpoint

Changes the name, description, URL, subscribed events, or status of a webhook endpoint. The URL must use HTTPS without credentials or a fragment. Send the current revision in a strong If-Match header, or the request returns revision_mismatch.

PATCH/api/v2/developer/apps/{appId}/webhook-endpoints/{endpointId}

Parameters #

PropertyTypeLocationDescription
appIdstringRequiredpath-
endpointIdstringRequiredpath-
x-request-idstringheader-
if-matchstringRequiredheader-

Request #

curl --request PATCH 'https://strave.gg/api/v2/developer/apps/APP_ID/webhook-endpoints/ENDPOINT_ID' \
  --header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'

Response #

200Response for status 200
application/json
400Response for status 400
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
409Response for status 409
application/json
412Response for status 412
application/json
428Response for status 428
application/json
429Response for status 429
application/json
500Response for status 500
application/json
503Response for status 503
application/json
PropertyTypeDescription
dataobjectRequired-
└idstringRequired-
└applicationIdstringRequired-
└namestringRequired-
└descriptionstring | nullRequired-
└urlstringRequired-
└subscribedEventsstring[]Required-
└statusstringRequired-
└revisionintegerRequired-
└createdAtstringRequired-
└updatedAtstringRequired-